Subject: Re: linux-next: Fixes tag needs some work in the sound-current tree

From: Takashi Iwai <[email-masked]>
Date: Wed, 02 Jun 2021 09:47:48 +0200

On Wed, 02 Jun 2021 09:42:15 +0200,
Dongliang Mu wrote:
> 
> On Wed, Jun 2, 2021 at 3:36 PM Takashi Iwai <[email-masked]> wrote:
> >
> > On Wed, 02 Jun 2021 09:09:46 +0200,
> > Stephen Rothwell wrote:
> > >
> > > Hi all,
> > >
> > > In commit
> > >
> > >   b3531c648d87 ("ALSA: control led: fix memory leak in snd_ctl_led_register")
> > >
> > > Fixes tag
> > >
> > >   Fixes: a135dfb5de1 ("ALSA: led control - add sysfs kcontrol LED marking layer")
> > >
> > > has these problem(s):
> > >
> > >   - SHA1 should be at least 12 digits long
> > >
> > > This is probably not worth rebasing to fix, but can be avoided in the
> > > future by setting core.abbrev to 12 (or more) or (for git v2.11 or later)
> > > just making sure it is not set (or set to "auto").
> >
> > My bad, I must have overlooked the warning at applying.
> 
> Hi Takashi,
> 
> I don't know why checkpatch.pl does not capture this warning for me.
> 
> ./scripts/checkpatch.pl
> 0001-ALSA-control-led-fix-memory-leak-in-snd_ctl_led_regi.patch
> total: 0 errors, 0 warnings, 89 lines checked
> 
> 0001-ALSA-control-led-fix-memory-leak-in-snd_ctl_led_regi.patch has no
> obvious style problems and is ready for submission.
> 
> Any idea?

checkpatch doesn't check it strictly, IIRC.

I'm using a script Stephen posted some time ago.  This should be
better covered generically in checkpatch, though...

Takashi